{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

html,
body{

    width:100%;
    height:auto;

    font-family:Arial,Helvetica,sans-serif;

    background:#222;

    overflow-y:auto;
    overflow-x:hidden;

}

/*==========================================
HEADER
==========================================*/

header{

    position:relative;

    top:0px;

    left:50%;
    transform:translateX(-50%);

    width:92%;
    max-width:1790px;

      height:35px;

    margin:15px auto;

    padding:0 20px;


    display:flex;

    justify-content:space-between;

    align-items:center;

    background:transparent;

    z-index:100;

    pointer-events:none;

}

header h1{

    display:flex;

    align-items:center;

    gap:12px;

    color:#ffffff;

    font-size:42px;

    font-weight:bold;

    text-shadow:2px 2px 4px rgba(0,0,0,.6);

    pointer-events:auto;

}

.logo-pin{

    width:42px;

    height:42px;

    display:block;

}

header button{

    pointer-events:auto;

    padding:12px 24px;

    font-size:16px;

    font-weight:bold;

    color:#fff;

    background:#1d7d2f;

    border:none;

    border-radius:8px;

    cursor:pointer;

    box-shadow:0 4px 12px rgba(0,0,0,.4);

}

header button:hover{

    background:#24953a;

}


/*==========================================
BOARD
==========================================*/
/*
#board{

    position:relative;

    width:100%;

    height:2450px;
    min-height: 2050px;
    margin:0 auto;

    background-image:url("../images/noticeboard.jpg");

    background-repeat:no-repeat;

    background-position:top center;

    background-size:100% auto ;

}*/

#board{

    position:relative;

    width:100%;

    height:1950px;

    margin:0 auto;

    background-image:url("../images/noticeboard.jpg");

    background-repeat:no-repeat;

    background-position:top center;

    background-size:100% 100%;

}

/*==========================================
PIN
==========================================*/

.pin{

    position:absolute;

    width:260px;

    background:#fff9a8;

    border-radius:8px;

    padding:14px;

    box-shadow:0 8px 20px rgba(0,0,0,.35);

    cursor:move;

    user-select:none;

    transition:box-shadow .2s;

}

.pin:hover{

    box-shadow:0 12px 28px rgba(0,0,0,.45);

}

.pin-header{

    font-weight:bold;

    font-size:18px;

    margin-bottom:10px;

}

.pin-body{

    font-size:15px;

    line-height:1.5;

    word-wrap:break-word;

}

.pin-image{

    width:100%;

    display:block;

    border-radius:6px;

    margin-bottom:10px;

    cursor:pointer;

}

.pin.yellow{

    background:#fff9a8;

}

.pin.green{

    background:#dff6c8;

}

.pin.blue{

    background:#dceeff;

}

.pin.pink{

    background:#ffe2ef;

}

.pin.white{

    background:#ffffff;

}


/*==========================================
ADD PIN DIALOG
==========================================*/

#modal{

    position:fixed;

    inset:0;

    display:none;

    justify-content:center;

    align-items:center;

    background:rgba(0,0,0,.6);

    z-index:999999;

}

#modal.show{

    display:flex;

}

#dialog{

    width:430px;

    background:#fff;

    border-radius:10px;

    padding:20px;

    box-shadow:0 20px 40px rgba(0,0,0,.5);

}

#dialog h2{

    margin-bottom:20px;

}

#dialog input[type=text]{

    width:100%;

    padding:10px;

    margin-bottom:15px;

    font-size:15px;

}

#dialog textarea{

    width:100%;

    height:150px;

    resize:none;

    padding:10px;

    margin-bottom:15px;

    font-size:15px;

}

#dialog input[type=file]{

    margin-bottom:20px;

}

.buttons{

    display:flex;

    justify-content:flex-end;

    gap:10px;

}

.buttons button{

    padding:10px 20px;

    border:none;

    border-radius:6px;

    cursor:pointer;

    font-weight:bold;

}

#btnSave{

    background:#1d7d2f;

    color:white;

}

#btnCancel{

    background:#888;

    color:white;

}

/*==========================================
IMAGE VIEWER
==========================================*/

#viewer{

    position:fixed;

    inset:0;

    display:none;

    justify-content:center;

    align-items:center;

    background:rgba(0,0,0,.9);

    z-index:1000000;

}

#viewer.show{

    display:flex;

}

#viewer img{

    max-width:90%;

    max-height:90%;

    border-radius:8px;

    box-shadow:0 0 40px #000;

    cursor:pointer;

}


/*==========================================
PIN COLOURS
==========================================*/

.pin.yellow{
    background:#fff9a8;
}

.pin.green{
    background:#dff6c8;
}

.pin.blue{
    background:#dceeff;
}

.pin.pink{
    background:#ffe2ef;
}

.pin.white{
    background:#ffffff;
}




.pushpin{

    position:absolute;

    top:-18px;

    left:50%;

    transform:translateX(-50%);

    width:34px;

    height:auto;

    z-index:100;

    pointer-events:none;

    filter:drop-shadow(2px 3px 4px rgba(0,0,0,.45));

}



/*------------------------------------------------
ADMIN DASHBOARD
------------------------------------------------*/

.dashboard{

    display:grid;

    grid-template-columns:repeat(2,1fr);

    gap:20px;

    margin:25px 0 35px;

}

.card{

    background:#f7f7f7;

    border-radius:12px;

    padding:25px;

    text-align:center;

    box-shadow:0 3px 10px rgba(0,0,0,.1);

}

.number{

    font-size:42px;

    font-weight:bold;

    color:#1d7d2f;

}

.label{

    margin-top:10px;

    font-size:17px;

    color:#555;

}

/*-----------------------------------
For text limit counter
----------------------------------*/
#charCount{

    text-align:right;

    font-size:13px;

    margin-top:6px;

    color:#2e7d32;

    font-weight:bold;

}


#charCount.warning{

    color:#f9a825;

}


#charCount.danger{

    color:#d32f2f;

}
/*
.kept-badge {
    display: inline-block;
    float: right;
    margin-left: 8px;
    padding: 3px 7px;
    background: #6c5ce7;
    color: #fff;
    border-radius: 10px;
    font-size: 11px;
    font-weight: bold;
    line-height: 1.2;
    box-shadow: 0 2px 4px rgba(0,0,0,.2);
}......*/

/*color was #6c5ce7.............*/
.kept-badge {
    display: block;
    width: fit-content;
    margin-bottom: 5px;
    padding: 3px 8px;
    background: #6c5ce7;
    color: #fff;
    border-radius: 10px;
    font-size: 11px;
    font-weight: bold;
    line-height: 1.2;
    box-shadow: 0 2px 4px rgba(0,0,0,.2);
}

.pin-title {
    font-weight: bold;
}

.pin-footer {
    display:flex;
    justify-content:flex-start;
    align-items:center;
    margin-top:10px;
    min-height:18px;
}


.kept-badge {
    display:inline-block;

    padding:3px 8px;

    background:#6c5ce7;
    color:#fff;

    border-radius:10px;

    font-size:11px;
    font-weight:bold;
    line-height:1.2;

    box-shadow:0 2px 4px rgba(0,0,0,.2);
}


/*
.vip-badge {
    float:right;

    background:transparent;
    color:#000;

    padding:3px 7px;

    border-radius:5px;

    font-size:11px;
    font-weight:bold;

    position:relative;
    top:-4px;
}
*/
.vip-badge,
.premium-badge {
    float: right;

    width: 22px;
    height: 22px;

    display: inline-flex;
    align-items: center;
    justify-content: center;

    background: transparent;

    padding: 0;

    border-radius: 5px;

    font-size: 16px;
    line-height: 22px;

    position: relative;
    top: -4px;
}

/*............clear btn......*/

#clearImage {
    display:none;
}

/*==========================================
FIXED TOP BAR
==========================================*/

#topBar{

    position:fixed;

    top:0;
    left:0;

    width:100%;

    z-index:99999;

    background:#222;

}



body{

    padding-top:115px;

}
